#
# spec file for package elx-be2net (Version 11.2.1190.0)
#
# Copyright (c) 2017 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

Name: elx-be2net
Version: 11.2.1190.0
Release: 14.2
Group: System Environment/Kernel
URL: http://www.emulex.com
License: GPL-2.0
BuildRequires:	%kernel_module_package_buildreqs
Source: %{name}-%{version}.tar.bz2
Provides: %{name}
Buildroot: %{_tmppath}/%{name}-%{version}
Summary: Emulex NIC Driver

%kernel_module_package

%description
This package contains the Linux NIC driver for Emulex network adapters

%package KMP
Summary: Emulex NIC Driver
Group: System/kernel

%description KMP
This package contains the Linux NIC driver for Emulex network adapters

%prep
%setup
set -- *
mkdir source
mv "$@" source/
echo " " > source/Module.supported
mkdir obj

%build
export EXTRA_CFLAGS='-DVERSION=\"%version\"'
for flavor in %flavors_to_build; do
        rm -rf obj/$flavor
        cp -r source obj/$flavor
        make -C %{kernel_source $flavor} KSRC=/usr/src/linux modules M=$PWD/obj/$flavor CONFIG_BE2NET=m DRV_NAME=be2net
	strip -g $PWD/obj/$flavor/be2net.ko
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
        make -C %{kernel_source $flavor} modules_install M=$PWD/obj/$flavor CONFIG_BE2NET=m DRV_NAME=be2net
	find $INSTALL_MOD_PATH/lib/modules -iname 'modules.*' -exec rm {} \;
done

%clean
rm -rf %{buildroot}

%changelog
* Mon Jan 23 2017 andavis@suse.com
  Initial KMP package of Emulex be2net v11.2.1190.0
  Source provided by Emulex Corporation <tech.support@emulex.com>
  bsc #1021015, #1021016
